Debian Bug report logs - #323670
Linux-only options in debian/config-* files

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Wed, 17 Aug 2005 21:03:41 UTC

Severity: important

Tags: patch

Fixed in version busybox/1:1.17.1-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#323670; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Linux-only options in debian/config-* files
Date: Wed, 17 Aug 2005 22:01:49 +0200
[Message part 1 (text/plain, inline)]
Package: busybox
Severity: important

Hi!

I ported busybox to GNU/kFreeBSD.  Among lots other changes (which I'll send to
upstream directly), I had to disable a fairly high number of CONFIG_* options
from the debian/config-* files because they're Linux-specific.

I'm attaching the list of options I had to disable.  Obviously the
debian/config-* handling code in debian/rules will have to be reworked.  I
leave it to you to decide which way you prefer (my suggestion is to avoid
redundancy by generating the files dynamicaly from a blurb of Linux-specific
bits and a blurb of generic ones).

Thanks a lot.

-- System Information:
Debian Release: testing/unstable
Architecture: kfreebsd-i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: GNU/kFreeBSD 5.3-1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
[linux_only.list (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#323670; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 323670@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 323670@bugs.debian.org
Subject: config-*-linux
Date: Sat, 29 Apr 2006 11:32:04 +0200
[Message part 1 (text/plain, inline)]
Ok, I didn't notice that there's already support for handling this.  I'm
attaching a patch that removes Linux-specific options in
config-{udeb,deb,static}.  It does also add CONFIG_TTY in config-udeb (see
patch comment).

(you're expected to copy config-{udeb,static} to config-{udeb,static}-linux
before applying)

As for the upstream part, unless you want to apply the upstream patch directly,
I'll try to merge it in upstream first.

-- 
Robert Millan
[busybox_debian.diff (text/plain, attachment)]

Tags added: patch Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Fri, 30 Mar 2007 21:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#323670; Package busybox. (Tue, 12 Jan 2010 00:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Jan 2010 00:09:06 GMT) Full text and rfc822 format available.

Message #17 received at 323670@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 323670@bugs.debian.org
Subject: Re: Bug#323670: config-*-linux
Date: Tue, 12 Jan 2010 01:06:09 +0100
Ping?

This becomes a necessity for proper d-i support on kfreebsd and hurd.

Samuel




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 06:09:05 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 03 Aug 2010 08:51:18 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Tue, 03 Aug 2010 08:51:18 GMT) Full text and rfc822 format available.

Message #24 received at 323670-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 323670-close@bugs.debian.org
Subject: Bug#323670: fixed in busybox 1:1.17.1-1
Date: Tue, 03 Aug 2010 08:48:08 +0000
Source: busybox
Source-Version: 1:1.17.1-1

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.17.1-1_amd64.deb
  to main/b/busybox/busybox-static_1.17.1-1_amd64.deb
busybox-syslogd_1.17.1-1_all.deb
  to main/b/busybox/busybox-syslogd_1.17.1-1_all.deb
busybox-udeb_1.17.1-1_amd64.udeb
  to main/b/busybox/busybox-udeb_1.17.1-1_amd64.udeb
busybox_1.17.1-1.debian.tar.gz
  to main/b/busybox/busybox_1.17.1-1.debian.tar.gz
busybox_1.17.1-1.dsc
  to main/b/busybox/busybox_1.17.1-1.dsc
busybox_1.17.1-1_amd64.deb
  to main/b/busybox/busybox_1.17.1-1_amd64.deb
busybox_1.17.1.orig.tar.bz2
  to main/b/busybox/busybox_1.17.1.orig.tar.bz2
udhcpc_1.17.1-1_all.deb
  to main/b/busybox/udhcpc_1.17.1-1_all.deb
udhcpd_1.17.1-1_all.deb
  to main/b/busybox/udhcpd_1.17.1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Aug 2010 06:42:39 +0200
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all amd64
Version: 1:1.17.1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 323670 326243 395227 405108 503672 552495 570789 572008 572013 572622 581342
Changes: 
 busybox (1:1.17.1-1) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Add --list option (Closes: #405108).
     - Fix nc segfaults (Closes: #503672).
     - Enable new options:
       [all] Add support for unicode (Closes: #395227, #570789)
       [all] Enable btrfs volume identification
   * Update configuration:
     [udeb/deb] Enable dd conv=notrunc (Closes: #552495)
   * Fix busybox-udeb description: s/busybox-cvs-udeb/busybox-udeb/
   * Fix busybox description wrt --install option (Closes: #326243).
   * Fix /etc/init.d/udhcpd restart (Closes: #581342)
   * Fix /etc/init.d/busybox-{klogd,syslogd} to correctly depend on
     $remote_fs.
   * Fix bashism in udhcpc default.script (Closes: #572008, #572013,
     #572622).
 .
   [ Jérémie Koenig ]
   * Refresh patches:
     - debian/patches/applets-fallback.patch
     - debian/patches/doc-man-name.patch
     - debian/patches/shell-ash-export-HOME.patch
   * Add per-OS configuration overrides.
   * Add FreeBSD and Hurd compatibility patches from the latest git upstream
     branch, and a few more to be merged soon (Closes: #323670).
   * scripts/gen_build_files.sh: skip .pc files from quilt.
Checksums-Sha1: 
 b0f3352747b55f872218d3470e0b2f0de1f96592 1129 busybox_1.17.1-1.dsc
 691f44088c3327c957158443e813ec7346e99df6 2091108 busybox_1.17.1.orig.tar.bz2
 ef7de267784ea2c1d081df6598349efd119c7a3f 60438 busybox_1.17.1-1.debian.tar.gz
 30a14fce98344e863144809583c38e93886a7999 13030 busybox-syslogd_1.17.1-1_all.deb
 da0b7ce33e8fa26a4297020a48584219e59c53e6 10666 udhcpc_1.17.1-1_all.deb
 934e0f8999149d280548630993e241e54ee3138a 13952 udhcpd_1.17.1-1_all.deb
 016807ee52f8b0146a0cd6802784d2ed58bbc1c9 334448 busybox_1.17.1-1_amd64.deb
 2f03d4df4011dd06c93274cfc73d52e5f5bf9db2 949082 busybox-static_1.17.1-1_amd64.deb
 f2ed57fdae779dfd1bf184f55bef459e7b36a41d 159880 busybox-udeb_1.17.1-1_amd64.udeb
Checksums-Sha256: 
 2cdaa87df911ad0363b77e82e13a017210a4382e2b906680bfedf44bcbdc9590 1129 busybox_1.17.1-1.dsc
 bf9177810d7e151b0e662477c33b9afd062570e6298ec46f2a8397a6a839d164 2091108 busybox_1.17.1.orig.tar.bz2
 5d67b2b4aae8e00fab32bf5e70f0982f5a868d6ecbafea9e5171104a649faf81 60438 busybox_1.17.1-1.debian.tar.gz
 1cf022bf4a6efbed51631ca3c98e4a451539665e87ee9f6dda9d749ecce3b103 13030 busybox-syslogd_1.17.1-1_all.deb
 873e0fb175ddf21f0ea6790f064dff8ca030fa63831641a7344a65908458caac 10666 udhcpc_1.17.1-1_all.deb
 20f77147bec38c222c5627cc1efc7970e2af7f6a7f4b48620c5d00f71925f049 13952 udhcpd_1.17.1-1_all.deb
 691415282df6913f54633a3d25c0f04b244fada6af5af0b0e513941e4f1c0697 334448 busybox_1.17.1-1_amd64.deb
 4324215ae5795a5ee1fdd54c4c00bdae6b9f7a9a150adc813faf761a59e98a8a 949082 busybox-static_1.17.1-1_amd64.deb
 d904d068f29ecffc6d179d2e052a15e436b8f286b0398a4f2e06f7109439d0be 159880 busybox-udeb_1.17.1-1_amd64.udeb
Files: 
 a2d40aafc25641492d7debb7031e6649 1129 utils optional busybox_1.17.1-1.dsc
 c7fe7533b7fc4018b0b49a05ee0ee601 2091108 utils optional busybox_1.17.1.orig.tar.bz2
 a0870780374edaf7b599fa1535199bd1 60438 utils optional busybox_1.17.1-1.debian.tar.gz
 7f8e68ca5f8cffdff555bbf6cb4e49d8 13030 utils optional busybox-syslogd_1.17.1-1_all.deb
 fcb2905ded24553f305dc707cb5292da 10666 utils optional udhcpc_1.17.1-1_all.deb
 e3df1aa27f8b7a120d79d5cd2a978103 13952 utils optional udhcpd_1.17.1-1_all.deb
 e93b1ee49482fe195477b0438b0bba07 334448 utils optional busybox_1.17.1-1_amd64.deb
 9509860016366d1bd6af1e694d95cf53 949082 shells extra busybox-static_1.17.1-1_amd64.deb
 53b0fd0c0eb07729db7e0da50c1740e0 159880 debian-installer extra busybox-udeb_1.17.1-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMV6Iiw3ao2vG823MRAoBcAJ9lyWpyJt5ZBpO1lESvC12VHQ7/OQCeKYbe
VrDlWhJJnsed6wvEKezcluA=
=FdQz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Sep 2010 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:21:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.